import { Thunk, Action, Slider } from "../types";
import { SerializedStateV1 } from "../serializedStates/v1Types";
export { toggleDoubleSizeMode, toggleEqualizerShadeMode, togglePlaylistShadeMode, closeWindow, setWindowSize, toggleWindow, updateWindowPositions, toggleMainWindowShadeMode, centerWindowsInContainer, centerWindowsInView, resetWindowSizes, browserWindowSizeChanged, ensureWindowsAreOnScreen, stackWindows, toggleLlamaMode, setFocusedWindow, setWindowLayout, } from "./windows";
export { play, pause, stop, nextN, next, previous, seekToTime, seekForward, seekBackward, setVolume, playTrack, playTrackNow, adjustVolume, scrollVolume, setBalance, toggleRepeat, toggleShuffle, toggleTimeMode, } from "./media";
export { setEqBand, setEqToMax, setEqToMid, setEqToMin, setPreamp, toggleEq, toggleEqAuto, } from "./equalizer";
export { addTracksFromReferences, loadFilesFromReferences, setSkinFromUrl, openEqfFileDialog, openMediaFileDialog, openSkinFileDialog, fetchMediaDuration, loadMedia, loadMediaFiles, loadMediaFile, fetchMediaTags, setEqFromFileReference, downloadPreset, setEqFromObject, downloadHtmlPlaylist, addDirAtIndex, addFilesAtIndex, addFilesFromUrl, addFilesFromList, saveFilesToList, droppedFiles, } from "./files";
export { cropPlaylist, removeSelectedTracks, removeAllTracks, reverseList, randomizeList, sortListByTitle, setPlaylistScrollPosition, scrollNTracks, scrollPlaylistByDelta, scrollUpFourTracks, scrollDownFourTracks, dragSelected, selectAll, selectZero, invertSelection, } from "./playlist";
export { initializePresets, requestPresetAtIndex, selectRandomPreset, selectNextPreset, selectPreviousPreset, appendPresetFileList, handlePresetDrop, loadPresets, toggleRandomizePresets, togglePresetCycling, scheduleMilkdropMessage, } from "./milkdrop";
export declare function close(): Thunk;
export declare function open(): Action;
export declare function toggleVisualizerStyle(): Action;
export declare function minimize(): Action;
export declare function setFocus(input: string): Action;
export declare function unsetFocus(): Action;
export declare function focusBand(band: Slider): Action;
export declare function loadSerializedState(serializedState: SerializedStateV1): Thunk;
export declare function loadDefaultSkin(): Action;
export declare function toggleMilkdropDesktop(): Thunk;
export declare function setMilkdropFullscreen(enabled: boolean): Action;
export declare function toggleMilkdropFullscreen(): Thunk;
export declare function togglePresetOverlay(): Thunk;
export declare function stepMarquee(): Action;
